#ifndef _Handle_ObjMgt_ExternShareable_HeaderFile
#define _Handle_ObjMgt_ExternShareable_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class ObjMgt_ExternShareable;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(ObjMgt_ExternShareable);

class Handle(ObjMgt_ExternShareable) : public Handle(Standard_Persistent) {
  public:

    Handle(ObjMgt_ExternShareable)():Handle(Standard_Persistent)() {} 
    Handle(ObjMgt_ExternShareable)(const Handle(ObjMgt_ExternShareable)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(ObjMgt_ExternShareable)(const ObjMgt_ExternShareable* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(ObjMgt_ExternShareable)& operator=(const Handle(ObjMgt_ExternShareable)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(ObjMgt_ExternShareable)& operator=(const ObjMgt_ExternShareable* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    ObjMgt_ExternShareable* operator->() const 
     {
      return (ObjMgt_ExternShareable *)ControlAccess();
     }

   Standard_EXPORT static const Handle(ObjMgt_ExternShareable) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
